package ch.jaros.labyrinth;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Martin Jaros
 */
public class Point {
	
	private Position position;
	private boolean taken;
	private List connections = new ArrayList();

	public Point(Position position) {
		this.position = position;
	}

	public List getConnections() {
		return connections;
	}

	public Position getPosition() {
		return position;
	}
	
	public boolean isTaken() {
		return taken;
	}

	public void setTaken(boolean b) {
		taken = b;
	}

}